set sys_166m_clk_source [get_bd_pins sys_ps7/FCLK_CLK0]
set sys_142m_clk_source [get_bd_pins sys_ps7/FCLK_CLK1]

connect_bd_net -net clkid0 $sys_166m_clk_source
connect_bd_net -net clkid1 $sys_142m_clk_source

set proc_sys_reset_0 [create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_0]
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {1}] $proc_sys_reset_0
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {4}] [get_bd_cells proc_sys_reset_0]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH.VALUE_SRC USER] [get_bd_cells proc_sys_reset_0]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH {1}] [get_bd_cells proc_sys_reset_0]

set proc_sys_reset_1 [create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_1]
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {1}] $proc_sys_reset_1
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {4}] [get_bd_cells proc_sys_reset_1]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH.VALUE_SRC USER] [get_bd_cells proc_sys_reset_1]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH {1}] [get_bd_cells proc_sys_reset_1]

set proc_sys_reset_3 [create_bd_cell -type ip -vlnv xilinx.com:ip:proc_sys_reset:5.0 proc_sys_reset_3]
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {1}] $proc_sys_reset_3
set_property -dict [list CONFIG.C_EXT_RST_WIDTH {4}] [get_bd_cells proc_sys_reset_3]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH.VALUE_SRC USER] [get_bd_cells proc_sys_reset_3]
set_property -dict [list CONFIG.C_AUX_RESET_HIGH {1}] [get_bd_cells proc_sys_reset_3]

connect_bd_net -net [get_bd_nets clkid0] [get_bd_pins proc_sys_reset_0/slowest_sync_clk] [get_bd_pins sys_ps7/FCLK_CLK0]
connect_bd_net -net [get_bd_nets sys_aux_reset] [get_bd_pins proc_sys_reset_0/ext_reset_in] [get_bd_pins sys_ps7/FCLK_RESET0_N]

connect_bd_net -net [get_bd_nets clkid1] [get_bd_pins proc_sys_reset_1/slowest_sync_clk] [get_bd_pins sys_ps7/FCLK_CLK1]
connect_bd_net -net [get_bd_nets sys_aux_reset] [get_bd_pins proc_sys_reset_1/ext_reset_in] [get_bd_pins sys_ps7/FCLK_RESET0_N]

connect_bd_net -net [get_bd_nets clkid3] [get_bd_pins proc_sys_reset_3/slowest_sync_clk] [get_bd_pins sys_ps7/FCLK_CLK3]
connect_bd_net -net [get_bd_nets sys_aux_reset] [get_bd_pins proc_sys_reset_3/ext_reset_in] [get_bd_pins sys_ps7/FCLK_RESET0_N]

create_bd_cell -type ip -vlnv xilinx.com:ip:xlconcat:2.1 xlconcat_0
set_property -dict [list CONFIG.NUM_PORTS {4} CONFIG.IN0_WIDTH {16} CONFIG.IN1_WIDTH {16} CONFIG.IN2_WIDTH {16} CONFIG.IN3_WIDTH {16}] [get_bd_cells xlconcat_0]

create_bd_cell -type ip -vlnv xilinx.com:ip:axis_data_fifo:1.1 axis_data_fifo_0
set_property -dict [list CONFIG.TDATA_NUM_BYTES.VALUE_SRC USER] [get_bd_cells axis_data_fifo_0]
set_property -dict [list CONFIG.TDATA_NUM_BYTES {2} CONFIG.IS_ACLK_ASYNC {1}] [get_bd_cells axis_data_fifo_0]

create_bd_cell -type ip -vlnv xilinx.com:ip:axis_data_fifo:1.1 axis_data_fifo_1
set_property -dict [list CONFIG.TDATA_NUM_BYTES.VALUE_SRC USER] [get_bd_cells axis_data_fifo_1]
set_property -dict [list CONFIG.TDATA_NUM_BYTES {2} CONFIG.IS_ACLK_ASYNC {1}] [get_bd_cells axis_data_fifo_1]

create_bd_cell -type ip -vlnv xilinx.com:ip:axis_data_fifo:1.1 axis_data_fifo_2
set_property -dict [list CONFIG.TDATA_NUM_BYTES.VALUE_SRC USER] [get_bd_cells axis_data_fifo_2]
set_property -dict [list CONFIG.TDATA_NUM_BYTES {2} CONFIG.IS_ACLK_ASYNC {1}] [get_bd_cells axis_data_fifo_2]

create_bd_cell -type ip -vlnv xilinx.com:ip:axis_data_fifo:1.1 axis_data_fifo_3
set_property -dict [list CONFIG.TDATA_NUM_BYTES.VALUE_SRC USER] [get_bd_cells axis_data_fifo_3]
set_property -dict [list CONFIG.TDATA_NUM_BYTES {2} CONFIG.IS_ACLK_ASYNC {1}] [get_bd_cells axis_data_fifo_3]

connect_bd_net [get_bd_pins axis_data_fifo_0/m_axis_tdata] [get_bd_pins xlconcat_0/In0]
connect_bd_net [get_bd_pins axis_data_fifo_1/m_axis_tdata] [get_bd_pins xlconcat_0/In1]
connect_bd_net [get_bd_pins axis_data_fifo_2/m_axis_tdata] [get_bd_pins xlconcat_0/In2]
connect_bd_net [get_bd_pins axis_data_fifo_3/m_axis_tdata] [get_bd_pins xlconcat_0/In3]

delete_bd_objs [get_bd_nets fifo_data]
connect_bd_net [get_bd_pins xlconcat_0/dout] [get_bd_pins util_dac_unpack/dma_data]

delete_bd_objs [get_bd_nets fifo_valid]
connect_bd_net [get_bd_pins axis_data_fifo_0/m_axis_tvalid] [get_bd_pins util_dac_unpack/fifo_valid]

connect_bd_net -net [get_bd_nets axi_ad9361_dac_drd] [get_bd_pins axis_data_fifo_0/m_axis_tready] [get_bd_pins util_dac_unpack/dma_rd]
connect_bd_net -net [get_bd_nets axi_ad9361_dac_drd] [get_bd_pins axis_data_fifo_1/m_axis_tready] [get_bd_pins util_dac_unpack/dma_rd]
connect_bd_net -net [get_bd_nets axi_ad9361_dac_drd] [get_bd_pins axis_data_fifo_2/m_axis_tready] [get_bd_pins util_dac_unpack/dma_rd]
connect_bd_net -net [get_bd_nets axi_ad9361_dac_drd] [get_bd_pins axis_data_fifo_3/m_axis_tready] [get_bd_pins util_dac_unpack/dma_rd]

connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_0/s_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_1/s_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_2/s_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_3/s_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]

connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_0/m_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_1/m_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_2/m_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]
connect_bd_net -net [get_bd_nets proc_sys_reset_2_peripheral_aresetn] [get_bd_pins axis_data_fifo_3/m_axis_aresetn] [get_bd_pins proc_sys_reset_2/peripheral_aresetn]

connect_bd_net -net [get_bd_nets clkid2] [get_bd_pins axis_data_fifo_0/s_axis_aclk] [get_bd_pins sys_ps7/FCLK_CLK2]
connect_bd_net -net [get_bd_nets clkid2] [get_bd_pins axis_data_fifo_1/s_axis_aclk] [get_bd_pins sys_ps7/FCLK_CLK2]
connect_bd_net -net [get_bd_nets clkid2] [get_bd_pins axis_data_fifo_2/s_axis_aclk] [get_bd_pins sys_ps7/FCLK_CLK2]
connect_bd_net -net [get_bd_nets clkid2] [get_bd_pins axis_data_fifo_3/s_axis_aclk] [get_bd_pins sys_ps7/FCLK_CLK2]

connect_bd_net -net [get_bd_nets axi_ad9361_clk] [get_bd_pins axis_data_fifo_0/m_axis_aclk] [get_bd_pins axi_ad9361/l_clk]
connect_bd_net -net [get_bd_nets axi_ad9361_clk] [get_bd_pins axis_data_fifo_1/m_axis_aclk] [get_bd_pins axi_ad9361/l_clk]
connect_bd_net -net [get_bd_nets axi_ad9361_clk] [get_bd_pins axis_data_fifo_2/m_axis_aclk] [get_bd_pins axi_ad9361/l_clk]
connect_bd_net -net [get_bd_nets axi_ad9361_clk] [get_bd_pins axis_data_fifo_3/m_axis_aclk] [get_bd_pins axi_ad9361/l_clk]
